Subject: bug#35055: 27.0.50; async-shell-command truncates output lines

From: Juri Linkov <[email-masked]>
Date: Thu, 18 Apr 2019 23:51:57 +0300

>> There is no need for the new option to be consistent across
>> both synchronous and async/remote operations.
>
> Call it `async-shell-command-width', that's it. Nobody has asked for the
> synchronous case.

Yes, this is a safer option.

> If somebody needs it for a remote `shell-command', there's still the
> option to set COLUMNS in `tramp-remote-process-environment' yourself.

Or maybe better to add another option `tramp-remote-process-width'?

BTW, recently you added to the Tramp manual the example that I proposed:

  /ssh:user@host|sudo::/path/to/file

But I discovered a warning against using "|sudo::" without the hostname:

https://stackoverflow.com/questions/2177687/open-file-via-ssh-and-sudo-with-emacs

  "Important: be sure to specify the hostname explicitly:
   sudo:remotehost: rather than sudo::"

Is this restriction still valid?  Because when I used "|sudo::"
without the hostname, it works fine.